# $Revision: 1.15 $, $Date: 2010/06/07 09:29:12 $
#
# Conditional build:
%bcond_with	doc	# build full documentation
#
%include	/usr/lib/rpm/macros.java
Summary:	Java implementation of D-BUS
Summary(pl.UTF-8):	Implementacja D-BUS w Javie
Name:		java-dbus
Version:	2.7
Release:	3
License:	AFL v2.1 or GPL v2
Group:		Libraries/Java
Source0:	http://dbus.freedesktop.org/releases/dbus-java/dbus-java-%{version}.tar.gz
# Source0-md5:	8b8470db5cd657591bac245e3b6e18e4
URL:		http://www.freedesktop.org/Software/DBusBindings
BuildRequires:	docbook-to-man
BuildRequires:	gettext-devel
BuildRequires:	java-libmatthew >= 0.6
BuildRequires:	jdk >= 1.5
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
%if %{with doc}
BuildRequires:	texlive-tex4ht
BuildRequires:	texlive-xetex
%endif
Requires:	java-libmatthew >= 0.6
Requires:	jpackage-utils
Requires:	jre >= 1.5
Obsoletes:	java-libdbus
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java implementation of D-BUS.

%description -l pl.UTF-8
Implementacja D-BUS w Javie.

%package javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja do %{name}.

%description javadoc -l fr.UTF-8
Javadoc pour %{name}.

%prep
%setup -q -n dbus-java-%{version}

%build
%{__make} bin man doc/api/index.html \
	PREFIX=%{_prefix} \
	JAVAUNIXLIBDIR=%{_libdir}/java
%if %{with doc}
%{__make} doc
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-bin install-man \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	JAVAUNIXLIBDIR=%{_libdir}/java

install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libdbus-java

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README changelog
%if %{with doc}
%doc doc/dbus-java.pdf
%doc doc/dbus-java
%endif
%attr(755,root,root) %{_bindir}/CreateInterface
%attr(755,root,root) %{_bindir}/DBusCall
%attr(755,root,root) %{_bindir}/DBusDaemon
%attr(755,root,root) %{_bindir}/DBusViewer
%attr(755,root,root) %{_bindir}/ListDBus
%{_javadir}/dbus*.jar
%{_mandir}/man1/CreateInterface.1*
%{_mandir}/man1/DBusCall.1*
%{_mandir}/man1/DBusDaemon.1*
%{_mandir}/man1/DBusViewer.1*
%{_mandir}/man1/ListDBus.1*

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-dbus.spec,v $
Revision 1.15  2010/06/07 09:29:12  jajcus
- pass valid paths to make, so the %{_bindir} scripts are correct

Revision 1.14  2010/05/14 21:14:36  sparky
- BR: gettext-devel

Revision 1.13  2010/05/13 09:40:54  jajcus
- 'doc' bcond disabled by default (doesn't work on our builders for some reason)
- Release: 2

Revision 1.12  2010/05/13 08:08:54  jajcus
- without_doc bcond added
- install the built HTML and PDF docs (thes are not the javadoc 'apidocs') when with_doc

Revision 1.11  2010/05/13 07:38:44  jajcus
- BR: texlive-tex4ht, texlive-xetex

Revision 1.10  2010/01/16 12:36:30  qboosh
- updated to 2.7

Revision 1.9  2009/02/02 12:28:35  glen
- Libraries/Java group

Revision 1.8  2008/12/26 10:05:55  qboosh
- updated to 2.5.1

Revision 1.7  2008/08/22 23:17:55  qboosh
- updated to 2.5

Revision 1.6  2008/03/01 11:47:06  qboosh
- updated to 2.4
- removed obsolete make patch
- needs libmatthew 0.6 now

Revision 1.5  2007-12-16 16:07:05  qboosh
- updated to 2.3.2

Revision 1.4  2007-12-09 08:30:24  glen
- cleanup

Revision 1.3  2007-12-09 08:27:18  glen
- unifu java package

Revision 1.2  2007-12-09 08:21:23  glen
- R: jpackage-utils for %{_javadir}

Revision 1.1  2007-08-12 11:11:49  qboosh
- new Java/D-BUS interface, pure Java this time
